Package org.eclipse.m2m.atl.engine.vm.nativelib

## Class ASMTupleType

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType
      - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMTupleType

    public class ASMTupleType
    extends ASMOclType

### Field Summary

Fields
`static ASMOclType` `myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Constructor Summary

Constructors
`ASMTupleType()`
`ASMTupleType​(java.util.Map attributes)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addAttribute​(StackFrame frame, ASMTupleType self, ASMString name, ASMOclType type)`
`ASMBoolean` `conformsTo​(ASMOclType other)`
`boolean` `equals​(java.lang.Object o)`
`java.lang.String` `getName()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType

`addSupertype, conformsTo, get, getName, getSupertypes, getVMOperations, registerHelperAttribute, registerVMOperation, registerWeavingHelper`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### myType

    public static ASMOclType myType

### Constructor Detail

#### ASMTupleType

    public ASMTupleType()

#### ASMTupleType

    public ASMTupleType​(java.util.Map attributes)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### conformsTo

    public ASMBoolean conformsTo​(ASMOclType other)

Specified by:
  `conformsTo` in class `ASMOclType`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `ASMOclType`

#### addAttribute

    public static void addAttribute​(StackFrame frame,
                                    ASMTupleType self,
                                    ASMString name,
                                    ASMOclType type)